#!/bin/bash
start_str="/flash_tcp/start.sh &"
file_path=/etc/rc.local
tmp_path=/tmp/rc.local.tmp
b_exit=0
echo "Flash TCP installation is starting..."
sleep 1

if grep -q "$start_str" $file_path;then
	:
else
	touch $tmp_path
	while read line
	do
		echo $line | grep -q "^exit"
		if [ $? -eq 0 ];then
			echo $start_str	>> $tmp_path		
			let b_exit=1
		fi
		echo $line >> $tmp_path
	done < $file_path
	
	if [ $b_exit -eq 0 ];then
		echo $start_str >> $tmp_path
	fi
	
	cat $tmp_path > $file_path
		
fi

#rc.local has no exe permission in some system such as centos 7
chmod +x $file_path

echo "Flash TCP has been installed successfully."
