#!/bin/bash

source /flash_tcp/global

check_cmd_dep

if [ $# != 1 ];then
	echo "Missing parameter."
	echo "[Usage]: $0 license-code"
	exit 1
fi
 
lic_code=$1
 
count=`ps -ef |grep $mgr_nm |grep -v "grep" |wc -l`
if [ 0 != $count ];then
	echo "Flash TCP is running, Flash TCP should be stopped before license activation."
	read -p "Press Y/y to stop Flash TCP:" input
	if [ "$input" == "Y" ] || [ "$input" == "y" ];then
		/flash_tcp/stop.sh
	else
		echo "License Activation is cancelled."
		exit 0
	fi
fi
	
#activate license
/flash_tcp/$mgr_nm -a $lic_code
