#!/bin/bash
source /flash_tcp/global
check_cmd_dep
#stop the process
/flash_tcp/stop.sh > /dev/null

#remove the start up in rc.local
echo "Flash TCP is unistalling..."
echo "System Auto-boot function is removing..."
sed -i --follow-symlinks "/\/flash_tcp\/start.sh/d"   /etc/rc.local
echo "System Auto-boot function has been removed."

sleep 5

#check if the kernel module exist
echo "Kernel Module is removing..."
lsmod_output=`lsmod | grep $kern_nm`
if  [ -z "$lsmod_output" ];then
	#module not exist
	echo "Kernel Module has been removed."
else
	ref_cnt=`lsmod | grep $kern_nm | awk '{print $NF}'`
	if [ $ref_cnt -eq 0 ];then
		rmmod $kern_nm
		if [ $? -eq 0 ]; then
			echo "Kernel Module has been removed."
		fi
	else
		echo -e "\033[31mKernel Module is still being used by system, you have to reboot the system to uninstall it.\033[0m"
	fi
fi

sleep 1
echo "Flash TCP unistallation finished."
